Skip to content

Get available URLs, nationalities and supported regions.

GET
/api/v1/system/info

This endpoint provides localized urls of the FAQ, contact and forgot password pages. It also contains the private URLs (privateUrls) which can only be accessed using the token and uuid parameter.

An example of this is: https://my.btcdirect.eu/register/continue?token=abcde&uuid=1234

You can obtain the token and uuid parameters with the API endpoint /api/v1/user/login-token.

The urls listed under verifyBankAccount also accept a returnUrl as parameter. This will then be used as the URL for the “Return to client” button once the verification has been completed.

The urls listed under dca also accept the following optional query string parameters: currency Which currency to create the DCA order for. walletAddress The wallet address to which the currency will be sent destinationTag The destination tag to receive the coins on.

Returns info about the system, such as localized urls of the forgot password and FAQ pages.

object
supportedRegions

The locale/country combinations we support.

Array<string>
Example
[
"nl-nl",
"nl-be",
"fr-be",
"fr-fr",
"es-es",
"de-at",
"fr-ch",
"de-ch",
"fr-lu",
"de-lu",
"en-gb",
"en-ie"
]
urls
object
support

The URLs to our support system, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://support.btcdirect.eu/hc/nl",
"fr-be": "https://support.btcdirect.eu/hc/fr",
"fr-fr": "https://support.btcdirect.eu/hc/fr"
}
faq

The URLs to our FAQ.

object
key
additional properties
string
Example
{
"nl-nl": "https://support.btcdirect.eu/hc/nl",
"fr-be": "https://support.btcdirect.eu/hc/fr",
"fr-fr": "https://support.btcdirect.eu/hc/fr"
}
forgotPassword

The URLs to the BTC Direct ‘forgot password’ page.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/wachtwoord-vergeten",
"fr-be": "https://my.btcdirect.eu/fr-be/forgot-password",
"fr-fr": "https://my.btcdirect.eu/fr-fr/forgot-password"
}
privacyPolicy

The URLs to the BTC Direct ‘privacy policy’ page.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/privacy-policy",
"fr-be": "https://my.btcdirect.eu/fr-be/privacy-policy",
"fr-fr": "https://my.btcdirect.eu/fr-fr/privacy-policy"
}
register

The URLs to our registration page, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-be/registreren",
"fr-be": "https://my.btcdirect.eu/fr-be/s-inscrire",
"fr-fr": "https://my.btcdirect.eu/fr-fr/s-inscrire"
}
termsAndConditions

The URLs to the BTC Direct ‘terms and conditions’ page.

object
key
additional properties
string
Example
{
"nl-nl": "https://btcdirect.eu/nl-nl/gebruiksovereenkomst",
"fr-be": "https://btcdirect.eu/fr-be/conditions-generales",
"fr-fr": "https://btcdirect.eu/fr-fr/conditions-generales"
}
privateUrls
object
kyc

The URLs to our KYC process, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/register/continue",
"fr-be": "https://my.btcdirect.eu/fr-be/register/continue",
"fr-fr": "https://my.btcdirect.eu/fr-fr/register/continue"
}
dashboard

The URLs to our dashboard, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/user/settings",
"fr-be": "https://my.btcdirect.eu/fr-be/user/settings",
"fr-fr": "https://my.btcdirect.eu/fr-fr/user/settings"
}
transactions

The URLs to the transactions page, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/user/transactions",
"fr-be": "https://my.btcdirect.eu/fr-be/user/transactions",
"fr-fr": "https://my.btcdirect.eu/fr-fr/user/transactions"
}
verifyBankAccount

The URLs to start the verification of a bank account, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/iban-verification",
"fr-be": "https://my.btcdirect.eu/fr-be/iban-verification",
"fr-fr": "https://my.btcdirect.eu/fr-fr/iban-verification"
}
dca

The URLs to setup a DCA code, per locale.

object
key
additional properties
string
Example
{
"nl-nl": "https://my.btcdirect.eu/nl-nl/dca",
"fr-be": "https://my.btcdirect.eu/fr-be/dca",
"fr-fr": "https://my.btcdirect.eu/fr-fr/dca"
}
nationalities
Array<object>
object
name

The nationality name.

string
Example
Austria
code

The nationality code.

string
Example
AT
idSelfieRequired

Is a selfie id required for this nationality.

boolean
Example
true

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}